Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79256 - unnecessary wireless error messages
Summary: unnecessary wireless error messages
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-09 00:35 UTC by Artur Adib
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-30 23:23:07 UTC


Attachments (Terms of Use)

Description Artur Adib 2002-12-09 00:35:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
I have a Dell CPx with a Xircom ethernet card and am getting error messages (see
attached excerpt) while initializing eth0 during boot time. The script gives
unnecessary wireless error messages (I don't have a wireless card) and
apparently cannot initialize eth0 (says [FAILED]). The network is, however,
working fine even after these messages (I am experiencing another problem
recovering the network interface after suspending the laptop which _might_ be
related to this, see bug #79255).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot up RedHat 8.0 with a Xircom ethernet card
2.
3.
	

Actual Results:  Script says it [FAILED] to bring eth0 up, with a bunch of
wireless-related error messages. eth0 is actually active and working fine after
that.

Expected Results:  scripts should not try to load wireless stuff, and give me an
[OK] after bringing up the regular ethernet interface.

Additional info:

here's the relevant excerpt from /var/log/boot.log

Dec  8 17:49:35 localhost network: Setting network parameters:  succeeded 
Dec  8 17:49:36 localhost network: Bringing up loopback interface:  succeeded 
Dec  8 17:49:36 localhost ifup: Device "eth0" does not exist. 
Dec  8 17:49:36 localhost ifup: interface 'eth0' not found 
Dec  8 17:49:36 localhost ifup:  
Dec  8 17:49:36 localhost ifup: Error for wireless request "Set Encode" (8B2A) : 
Dec  8 17:49:36 localhost ifup:     SET failed on device eth0 ; No such device. 
Dec  8 17:49:36 localhost ifup: Error for wireless request "Set ESSID" (8B1A) : 
Dec  8 17:49:36 localhost ifup:     SET failed on device eth0 ; No such device. 
Dec  8 17:49:36 localhost ifup:  
Dec  8 17:49:36 localhost ifup: Determining IP information for eth0... 
Dec  8 17:49:41 localhost ifup: SIOCSIFADDR: No such device 
Dec  8 17:49:41 localhost ifup: eth0: unknown interface: No such device 
Dec  8 17:49:41 localhost ifup: eth0: unknown interface: No such device 
Dec  8 17:49:42 localhost ifup:  failed. 
Dec  8 17:49:43 localhost network: Bringing up interface eth0:  failed

Comment 1 Bill Nottingham 2002-12-09 17:55:05 UTC
That excerpt implies that the device isn't there. What do you have for 'ONBOOT'
in /etc/sysconfig/network-scripts/ifcfg-eth0?

Comment 2 Artur Adib 2002-12-10 00:53:00 UTC
Please find below my current /etc/sysconfig/network-scripts/ifcfg-eth0 file.
I find it very strange that after all those error messages eth0 is actually up
and running. There are no other messages regarding the network in the
/var/log/boot.log file, but I'm sending attached the relevant messages found in
/var/log/messages with the boot time.

-- file: ifcfg-eth0 --
# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
USERCTL=no
PEERDNS=yes
TYPE=Ethernet
DEVICE=eth0
HWADDR=00:10:a4:e9:95:8a
BOOTPROTO=dhcp
ONBOOT=yes

-- file: /var/log/messages --
Dec  9 19:48:58 localhost network: Bringing up loopback interface:  succeeded 
Dec  9 19:49:16 localhost kernel: Yenta IRQ list 0698, PCI irq11
Dec  9 19:48:58 localhost ifup: Device "eth0" does not exist. 
Dec  9 19:49:16 localhost kernel: Socket status: 30000020
Dec  9 19:49:16 localhost kernel: Yenta IRQ list 0698, PCI irq11
Dec  9 19:48:58 localhost ifup: interface 'eth0' not found 
Dec  9 19:49:16 localhost kernel: Socket status: 30000006
Dec  9 19:49:16 localhost kernel: cs: cb_alloc(bus 2): vendor 0x115d, device 0x0003
Dec  9 19:48:58 localhost ifup:  
Dec  9 19:49:16 localhost kernel: PCI: Enabling device 02:00.0 (0000 -> 0003)
Dec  9 19:49:16 localhost kernel: PCI: Setting latency timer of device 02:00.0 to 64
Dec  9 19:48:58 localhost ifup: Error for wireless request "Set Encode" (8B2A) : 
Dec  9 19:49:16 localhost kernel: eth0: Xircom cardbus revision 3 at irq 11 
Dec  9 19:48:58 localhost ifup:     SET failed on device eth0 ; No such device. 
Dec  9 19:49:16 localhost kernel: PCI: Enabling device 02:00.1 (0000 -> 0003)
Dec  9 19:48:58 localhost ifup: Error for wireless request "Set ESSID" (8B1A) : 
Dec  9 19:49:16 localhost kernel: ttyS4 at port 0x4080 (irq = 11) is a 16550A
Dec  9 19:48:58 localhost ifup:     SET failed on device eth0 ; No such device. 
Dec  9 19:49:16 localhost kernel: xircom cardbus adaptor found, registering as
eth0, using irq 11 
Dec  9 19:48:58 localhost ifup:  
Dec  9 19:48:58 localhost ifup: Determining IP information for eth0... 
Dec  9 19:49:05 localhost dhclient: Bind socket to interface: No such device
<27>Dec  9 19:49:05 dhclient: 
Dec  9 19:49:17 localhost kernel: xircom_cb: Link is 100 mbit 
Dec  9 19:49:03 localhost ifup: SIOCSIFADDR: No such device 
Dec  9 19:49:17 localhost kernel: cs: IO port probe 0x0c00-0x0cff: clean.
Dec  9 19:49:17 localhost kernel: cs: IO port probe 0x0100-0x04ff: excluding
0x378-0x37f 0x4d0-0x4d7
Dec  9 19:49:04 localhost ifup: eth0: unknown interface: No such device 
Dec  9 19:49:17 localhost kernel: cs: IO port probe 0x0a00-0x0aff: clean.
Dec  9 19:49:04 localhost ifup: eth0: unknown interface: No such device 
Dec  9 19:49:05 localhost ifup:  failed. 
Dec  9 19:49:05 localhost network: Bringing up interface eth0:  failed 
Dec  9 19:49:18 localhost xinetd: xinetd startup succeeded
Dec  9 19:49:18 localhost xinetd[735]: xinetd Version 2.3.7 started with libwrap
options compiled in.
Dec  9 19:49:18 localhost xinetd[735]: Started working: 1 available service
Dec  9 19:49:20 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 8
Dec  9 19:49:20 localhost dhclient: DHCPOFFER from 192.168.0.1
Dec  9 19:49:20 localhost dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
Dec  9 19:49:20 localhost dhclient: DHCPACK from 192.168.0.1
Dec  9 19:49:20 localhost dhclient: bound to 192.168.0.101 -- renewal in 1692
seconds.

Comment 3 Bill Nottingham 2003-01-14 04:25:46 UTC
WHat happens if you change it to ONBOOT=no?

Comment 4 Bill Nottingham 2003-07-30 23:23:07 UTC
Closed, no response


Note You need to log in before you can comment on or make changes to this bug.